<?php
header('Content-Type: application/json; charset=utf-8');
include 'database.inc.php';
if (Test_User($lg_user, $lg_password) == TRUE) {
	if ($ligne = Opportunite::getByNo($noOpportunite)) {
		if ($ligne_client = Client::getClientByNoClient($ligne["NoClient"])) {
			$json2 = ", \"Nom\" : \"" . $ligne_client["Nom"] . "\", \"Prenom\" : \"" . $ligne_client["Prenom"] . "\"";
		} else {
			$json2 = ", \"Nom\" : \"\", \"Prenom\" : \"\"";
		}
		$resultat_suivi = OpportuniteSuivi::getByNoOpportunite($ligne["NoOpportunite"]);
		$json3 = "\"Suivis\" : [ ";
		$first_suivi = true;
		foreach ($resultat_suivi as $ligne_suivi) {
			if ($first_suivi == false) {
				$json3 .= ", ";
			}
			$json3 .= "{ \"Date\" : \"" . Cree_Entree_Type("", 2, 0, $ligne_suivi["Date"], AFFICHAGE) . "\", \"Commentaire\" : " . json_encode($ligne_suivi["Commentaire"]) . ", \"PersonneContact\" : \"" . $ligne_suivi["PersonneContact"] . "\" }";
			$first_suivi = false;
		}
		$json3 .= " ]";
		$json = "{ \"Type\" : \"" . $ligne["Type"] . "\", \"Statut\" : \"" . $ligne["Statut"] . "\", \"NoClient\" : \"" . $ligne["NoClient"] . "\"$json2, \"Date\" : \"" . Cree_Entree_Type("", 2, 0, $ligne["Date"], AFFICHAGE) . "\", \"PersonneContact\" : \"" . $ligne["PersonneContact"] . "\", \"Description\" : " . json_encode($ligne["Description"]) . ", \"DateProchainSuivit\" : \"" . Cree_Entree_Type("", 2, 0, $ligne["DateProchainSuivit"], AFFICHAGE) . "\", $json3  }";
	}
	echo $json;
} else {
	echo "merde";
}
